indexing
	description: "A flag that will generate a help text and terminate the application"
	author: "Bernd Schoeller"
	copyright: "(c) 2006 Bernd Schoeller (bernd@fams.de)"
	license: "see included README.txt file"
	date: "$Date: 2006/03/25 10:13:50 $"
	revision: "$Revision: 1.1 $"

class
	OP_CONSTANTS

feature -- Help Constants

	help_text_description: STRING is "Display this help text."
		-- Description of the 'display help text' option
		
	help_text_long_option: STRING is "help"
		-- Flag to show the help text, long form
		
	help_text_short_option: CHARACTER is 'h'
		-- Flag to show the help text, short form
	
feature -- Option Constants

	long_option_introduction: CHARACTER is '-'
		-- Character that will introduce a long option (after the long option)
		
	long_option_parameter_introduction: CHARACTER is '='
		-- Character that will introduce the parameter in an long option
		
	short_option_introduction: CHARACTER is '-'
		-- Character that will introduce a short option

feature -- Other Constants

	abort_message: STRING is "Errors parsing arguments, aborting."
		-- Final message to print before aborting
		
	default_parameters_description: STRING is "parameters ..."
		-- Default description for parameters
		
end
