indexing
	description: "A universal error handler for parsing arguments"
	author: "Bernd Schoeller"
	copyright: "(c) 2006 Bernd Schoeller (bernd@fams.de)"
	license: "see included README.txt file"
	date: "$Date: 2006/03/25 10:13:50 $"
	revision: "$Revision: 1.1 $"

class OP_ERROR_HANDLER

inherit
	
	UT_ERROR_HANDLER
		redefine
			report_error_message
		end
	
create

	make_standard,
	make_null

feature -- Error detection

	has_error: BOOLEAN
	
	reset is
			-- Reset `has_errors' to false.
		do
			has_error := False
		ensure
			reset: not has_error
		end
		
feature -- Error reporting

	report_error_message (an_error: STRING) is
			-- Report `an_error'.
		do
			has_error := True
			Precursor {UT_ERROR_HANDLER} (an_error)
		end
		
end
